GDB (xrefs)

Public Attributes | List of all members
macro_for_each_data Struct Reference

## Public Attributes
gdb::function_view< macro_callback_fn > | fn
struct macro_source_file * | file
int | line

## Detailed Description

Definition at line 966 of file macrotab.c.

## Member Data Documentation

## ◆ file

struct macro_source_file* macro_for_each_data::file

Definition at line 969 of file macrotab.c.

Referenced by foreach_macro_in_scope(), macro_for_each(), and macro_for_each_in_scope().

## ◆ fn

gdb::function_view<macro_callback_fn> macro_for_each_data::fn

Definition at line 968 of file macrotab.c.

Referenced by foreach_macro(), foreach_macro_in_scope(), macro_for_each(), and macro_for_each_in_scope().

## ◆ line

int macro_for_each_data::line

Definition at line 970 of file macrotab.c.

Referenced by foreach_macro_in_scope(), macro_for_each(), and macro_for_each_in_scope().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/macrotab.c